//必巡线
import request from "@/utils/request";
// const api = "/mosty-jcgl";
const api = "/mosty-api/mosty-jcgl";
// 分页查询
export function getBxx(params) {
  return request({
    url: api + '/tbJcglBxx/queryList',
    method: 'GET',
    params
  })
}
//新增
export function addBxx(data) {
  return request({
    url: api + '/tbJcglBxx/addBxx',
    method: "post",
    data
  })
}
//修改
export function putBxx(data) {
  return request({
    url: api + '/tbJcglBxx/updateBxx',
    method: "post",
    data
  })
}
//详情
export function infoBxx(id) {
  return request({
    url: api + `/tbJcglBxx/selectById?id=${id}`,
    method: "get"
  })
}
//删除
export function delBxx(data) {
  return request({
    url: api + `/tbJcglBxx/deleteBxx`,
    method: "post",
    data
  })
}
